Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for File API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.fileadapter.webservice
Class FileTextMessage

    java.lang.Object
      com.stc.connector.fileadapter.webservice.FileTextMessage

All Implemented Interfaces:
  com.stc.connector.persistence.bpel.PersistableData

    public class FileTextMessage

extends java.lang.Object
implements com.stc.connector.persistence.bpel.PersistableData

This class is the FileTextMessage.

Constructor Summary
`FileTextMessage()` Creates a new instance of FileTextMessage

Method Summary
`java.lang.String` | `getEdkfiletext()` Gets the edkfiletext.
`boolean` | `hasEdkfiletext()` Checks whether the edkfiletext properety has been set.
`void` | `persist(com.stc.connector.persistence.bpel.DataOutput dout)` Persists this message.
`void` | `restore(com.stc.connector.persistence.bpel.DataInput din)` Restores this message.
`void` | `setEdkfiletext(java.lang.String newedkfiletext)` Sets the edkfiletext.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileTextMessage

    public FileTextMessage()

  Creates a new instance of FileTextMessage

Method Detail

### getEdkfiletext

    public java.lang.String getEdkfiletext()

  Gets the edkfiletext.

  Returns:
    The edkfiletext.

### setEdkfiletext

    public void setEdkfiletext(java.lang.String newedkfiletext)

  Sets the edkfiletext.

  Parameters:
    `newedkfiletext` - The new edkfiletext.

### hasEdkfiletext

    public boolean hasEdkfiletext()

  Checks whether the edkfiletext properety has been set.

  Returns:
    true if it was set or false if not.

### persist

    public void persist(com.stc.connector.persistence.bpel.DataOutput dout)
                 throws java.lang.Exception

  Persists this message.

  Specified by:
    `persist` in interface `com.stc.connector.persistence.bpel.PersistableData`
  Parameters:
    `dout` - The DataOutput to which the Java Bean message is persisted.
  Throws:
    `java.lang.Exception` - upon error.

### restore

    public void restore(com.stc.connector.persistence.bpel.DataInput din)
                 throws java.lang.Exception

  Restores this message.

  Specified by:
    `restore` in interface `com.stc.connector.persistence.bpel.PersistableData`
  Parameters:
    `din` - The DataInput from which the Java Bean message is restored.
  Throws:
    `java.lang.Exception` - upon error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for File API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.